Bug 1272294 - Differentiate between the 'ceph-deploy' user name and the "ceph" user name in documentation
Differentiate between the 'ceph-deploy' user name and the "ceph" user name in...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.1
x86_64 Linux
unspecified Severity medium
: rc
: 1.3.2
Assigned To: Aron Gunn
ceph-qe-bugs
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 22:13 EDT by Aron Gunn
Modified: 2016-03-01 03:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 03:22:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 13502 None None None Never

  None (edit)
Description Aron Gunn 2015-10-15 22:13:21 EDT
Description of problem:
In the upcoming release of Ceph Infernalis (v9.1.0 upstream version)[1].  The default user name and group name will be "ceph".  This could cause problems when upgrading the packages from a previous Ceph release, if the "ceph" user already exists.

Section 2.9 is sub-titled correctly in the Ceph Installation Guide[2], but an updated needs to be made to reflect this potential problem, by asking the end-user to remove the "ceph" user before they perform an upgrade.  An upstream tracker issue[3] has also been created to fix the upstream documentation.

Version-Release number of selected component (if applicable):
Ceph 1.3.1 Installation Guide

Additional info:

[1] - http://docs.ceph.com/docs/master/release-notes/#v9-1-0-infernalis-release-candidate
[2] - https://access.redhat.com/documentation/en/red-hat-ceph-storage/version-1.3/red-hat-ceph-storage-13-installation-guide-for-rhel-x86-64/chapter-2-pre-installation/
[3] - http://tracker.ceph.com/issues/13502
Comment 3 shilpa 2016-01-20 05:36:54 EST
Doc looks good to me.

Note You need to log in before you can comment on or make changes to this bug.